import { createOrder } from "./biz/member/order";
import { INDIVIDUALMEMBERTYPE, MEMBERLEVEL, MEMBERTYPE } from "./config/enum";
import { initConfig, systemConfig} from "./config/serverConfig";
import { initDataBaseModel } from "./data/db/db";
import { httpServer } from "./net/http_server";

async function lanuch() {
    /**初始化配置解析 */
    await initConfig();
    /**初始化数据库 */
    await initDataBaseModel();
    /**创建http服务 */
    // await createOrder("xxsdfasdfasfdasd_test", "测试单位名称", new Date().valueOf(), MEMBERLEVEL.普通会员, MEMBERTYPE.个人会员 ,INDIVIDUALMEMBERTYPE.个人会员, false);
    httpServer.createServer(systemConfig.port);
   
    // await smsTask();
    console.log('This indicates that the server is started successfully.');
}

lanuch();
